/**
 * JS Document.
 * @author Sandro Jordão.
 */
function gravar()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				// 		
				var nome 		 = $("#txtNomeRelatorio").val();
				var urlView 	 = $("#txtURLView").val();
				var urlDashboard = $("#txtURLDashboard").val();
				var timeRefresh  = $("#listaTimeRefresh").val();
				var grupo 	     = $('#grupo').val();
				var visivel   	 = $("input[name='rdoDisponivel']:radio:checked").val();
				var borda	     = ($("#exibirBorda").is(':checked')) ? 'S' : 'N';
		
				var groupArray = new Array();
				$(".groups").each(function(){ groupArray.push($(this).val()); });
				var usersArray = new Array();
				$(".users").each(function(){ usersArray.push($(this).val()); });

				$('.msgErro').remove();

				var erro = 0;

				if(nome == '') {
					$('#txtNomeRelatorio').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}
				
				if(grupo == '') {
					$('#grupo').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}

				if(urlView == '') {
					$('#txtURLView').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				} else if(!validarUrl(urlView)) {
					$('#txtURLView').after("<span class='msgErro'>Url inválida.</span>");
					erro++;
				}

				if(urlDashboard == '') {
					$('#txtURLDashboard').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				} else if(!validarUrl(urlDashboard)) {
					$('#txtURLDashboard').after("<span class='msgErro'>Url inválida.</span>");
					erro++;
				}

				if (erro == 0) 
				{
					$.post(basepath + "cadastros/gravaURL", {
						nome           : nome,
						urlView        : urlView,
						timeRefresh    : timeRefresh,
						urlDashboard   : urlDashboard,
						grupo		   : grupo,
						visivel		   : visivel,
						borda		   : borda,
						'groupArray[]' : groupArray,
						'usersArray[]' : usersArray
					}, function(data){
						if(data == 1) {
							jAlert('Gravado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'cadastros/importaurl'; });
						} else {
							jAlert('Ocorreu um erro:\n ' + data, 'Alerta!', function() { return false; });
						}
					});
				}
				else
				{
					jAlert('Favor preencher todos os campos corretamente.', 'Alerta!', function() { return false; });
				}
				//
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function validarUrl(url) 
{
    var regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/  
	if (regexp.test(url))
        return true;
    else
        return false; 
}

function alterarURLBD()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				// 
				var relatorio    = $("#txtReportID").val();
				var nome 	     = $("#txtNomeRelatorio").val();
				var urlview 	 = $("#txtURLView").val();
				var urldashboard = $("#txtURLDashboard").val();
				var timeRefresh  = $("#listaTimeRefresh").val();
				var grupo 	     = $('#grupo').val();
				var visivel   	 = $("input[name='rdoDisponivel']:radio:checked").val();
				var borda	     = ($("#exibirBorda").is(':checked')) ? 'S' : 'N';
				
				var groupArray = new Array();
				$(".groups").each(function(){ groupArray.push($(this).val()); });
				var usersArray = new Array();
				$(".users").each(function(){ usersArray.push($(this).val()); });

				$('.msgErro').remove();

				var erro = 0;

				if(nome == '') {
					$('#txtNomeRelatorio').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}
				
				if(grupo == '') {
					$('#grupo').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}

				if(urlview == '') {
					$('#txtURLView').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}

				if(urldashboard == '') {
					$('#txtURLDashboard').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}

				if (erro == 0)
				{
					$.post(basepath + "cadastros/alterarURLBD", {
						relatorio      : relatorio,
						nome           : nome,
						urlview        : urlview,
						urldashboard   : urldashboard,
						timeRefresh    : timeRefresh,
						grupo		   : grupo,
						visivel		   : visivel,
						borda		   : borda,
						'groupArray[]' : groupArray,
						'usersArray[]' : usersArray
					}, function(data){
						if(data == 1) {
							jAlert('URL alterada com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'cadastros/importaurl'; });
						} else {
							jAlert('Ocorreu um erro:\n ' + data, 'Alerta!', function() { return false; });
						}
					});
				}
				else
				{
					jAlert('Favor preencher todos os campos corretamente.', 'Alerta!', function() { return false; });
				}
				//
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function alterar()
{
	var id = $('#gridURL').jqGrid('getGridParam','selrow');

	if(id) {
		window.location.href = basepath + 'cadastros/alterarURL/' + id;
	} else {
		jAlert('Selecionar uma URL para alteração!', 'Alerta!', function() { return false; });
	}
}

function excluir()
{
	var id = $('#gridURL').jqGrid('getGridParam','selrow');

	if(id)
	{
		$.post(basepath + 'principal/verificarLogado', 
			function(logado) {
				if(logado == 0)
				{
					//
					jConfirm("Deseja realmente excluir a URL?", 'Confirmação!',
						function(r) {
							if (r == true)
							{
								$.post(basepath + "cadastros/excluirURL", {
									id  : id
								}, function(data){
									if(data == 1){
										$("#gridURL").trigger("reloadGrid");
										jAlert('URL excluída com sucesso!', 'Alerta!');
									} else { 
										jAlert('Ocorreu um erro:\n ' + data, 'Alerta de erro!');
									}
								});
							}
							else
							{
								return false;
							}
						});
						//
				} 
				else
				{
					window.location.href = basepath + 'principal/' + logado;
				}
			});
	}
    else
	{
		jAlert('Selecionar uma URL para exclusão!', 'Alerta!', function() { return false; });
	}
}

function incluir()
{
	window.location.href = basepath + 'cadastros/cadurl';
}

function trocar()
{
    var aba = this.id;
    
    tabs.removeClass('inDetail');
    $(tabs[aba]).addClass('inDetail');
        
    divs.hide();
    $(divs[aba]).fadeIn('slow');
}

function voltar()
{
	window.location.href = basepath + 'cadastros/importaurl';
}

function tipoRefresh()
{
	var visivel = $("input[name='rdoDisponivel']:radio:checked").val();
	
	if(visivel == 3)
	{
		// Esconde
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeOut('fast');
		
		// Tempo de Atualização
		$("#listaTimeRefresh").val(0);
		
		// Borda no Relatório
		$("#exibirBorda").attr("checked", false);
	} 
	else 
	{
		// Mostra
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeIn('show');
	}
}

function init() 
{
    tabs = $(".tabsDetail").children('ul').children();
    divs = $(".tabsDetail").children('div');
    $(".abaTrocar").click(trocar);
	
	var pathUrl = basepath + "cadastros/importaurl";
	$('#menuContentLeft a').each(function() {
		if(pathUrl == $(this).attr("href")) {
			$(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'});
		}
	});
}

$(document).ready(init);